---
updatedAt: 2026-04-30T11:16:08.000Z
agentTools:
  projectIndex: https://developer.rocketlane.com/llms.txt
---

# Get invoice payments by invoice Id

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Rocketlane API",
    "description": "Rocketlane API",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.rocketlane.com/api",
      "description": "Production"
    },
    {
      "url": "https://api.nitro.run/api",
      "description": "Staging"
    },
    {
      "url": "https://project.api.orbits.run/api",
      "description": "Orbits"
    }
  ],
  "security": [
    {
      "api-key": [
        "read : write"
      ]
    }
  ],
  "tags": [
    {
      "name": "Invoices",
      "description": "Endpoints for invoices resource"
    }
  ],
  "paths": {
    "/1.0/invoices/{invoiceId}/payments": {
      "get": {
        "tags": [
          "Invoices"
        ],
        "summary": "Get invoice payments by invoice Id",
        "operationId": "get-invoice-payments",
        "parameters": [
          {
            "name": "invoiceId",
            "in": "path",
            "description": "Unique identifier of the invoice",
            "required": true,
            "schema": {
              "minimum": 0,
              "type": "integer",
              "format": "int64",
              "default": 1
            },
            "example": 200
          },
          {
            "name": "pageSize",
            "in": "query",
            "description": "This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.",
            "schema": {
              "minimum": 0,
              "type": "number",
              "format": "int32",
              "example": 100
            }
          },
          {
            "name": "pageToken",
            "in": "query",
            "description": "Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.",
            "schema": {
              "type": "string",
              "example": "59c12a42-dd10-11ed-afa1-0242ac120002"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The requested action was successfully executed.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ExampleAPIResponseInvoicePayments"
                }
              }
            }
          },
          "400": {
            "description": "This error typically happens when the request payload contains an error. If you want to make sure that the request's parameters are named correctly and are the right data types, you can examine the request's syntax.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/badRequestErrorlist"
                }
              }
            }
          },
          "401": {
            "description": "You see this error when trying to access this resource without being authenticated. Check the API request header to make sure it is not empty and has a valid api-key that you acquired from the Rocketlane API Settings tab.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/unauthorizedErrorlist"
                }
              }
            }
          },
          "404": {
            "description": "If we were unable to locate the resource you were looking for or the proper API endpoint you were looking for, this error would show up.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/notFoundErrorlist"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Example404": {
        "type": "object",
        "properties": {
          "errorCode": {
            "type": "string",
            "description": "Error code refers to the type of error that you are facing. Some examples of error codes are: `BAD_REQUEST`, `NOT_FOUND`, `INTERNAL_SERVER_ERROR`.",
            "example": "NOT_FOUND"
          },
          "errorMessage": {
            "type": "string",
            "description": "Error message describes in brief about the issue. You can read the error message to get a understanding of where the request went wrong and attempt to fix it.",
            "example": "Not Found: Resource not found for given ID"
          }
        }
      },
      "notFoundErrorlist": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Example404"
            }
          }
        }
      },
      "Example401": {
        "type": "object",
        "properties": {
          "errorCode": {
            "type": "string",
            "description": "Error code refers to the type of error that you are facing. Some examples of error codes are: `BAD_REQUEST`, `NOT_FOUND`, `INTERNAL_SERVER_ERROR`.",
            "example": "NOT_AUTHORIZED"
          },
          "errorMessage": {
            "type": "string",
            "description": "Error message describes in brief about the issue. You can read the error message to get a understanding of where the request went wrong and attempt to fix it.",
            "example": "Not Authorized: User not authorized"
          }
        }
      },
      "unauthorizedErrorlist": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Example401"
            }
          }
        }
      },
      "Example400": {
        "type": "object",
        "properties": {
          "errorCode": {
            "type": "string",
            "description": "Error code refers to the type of error that you are facing. Some examples of error codes are: `BAD_REQUEST`, `NOT_FOUND`, `INTERNAL_SERVER_ERROR`.",
            "example": "BAD_REQUEST"
          },
          "errorMessage": {
            "type": "string",
            "description": "Error message describes in brief about the issue. You can read the error message to get a understanding of where the request went wrong and attempt to fix it.",
            "example": "Bad Request: Minutes is negative"
          },
          "field": {
            "type": "string",
            "description": "Fields refers to the parameter/field that was invalid in the request (if any). It will point you to the field that needs attention.",
            "example": "minutes"
          }
        }
      },
      "badRequestErrorlist": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Example400"
            }
          }
        }
      },
      "ExampleAPIResponseInvoicePayments": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "description": "Reflects all the default and custom fields and their values for the object searched, in an array format. If the includeFields param is utilised in the request body, it will return a customised response.",
            "items": {
              "$ref": "#/components/schemas/PaymentRecordPublicAPIResponseEntity"
            }
          },
          "pagination": {
            "$ref": "#/components/schemas/ExamplePaginationInvoicePayments"
          }
        }
      },
      "ExamplePaginationInvoicePayments": {
        "type": "object",
        "properties": {
          "pageSize": {
            "type": "integer",
            "description": "Denotes the page size mentioned in the current request (limit). It defaults to 100 if left blank.",
            "format": "int32",
            "example": 100
          },
          "hasMore": {
            "type": "boolean",
            "description": "Tells us if there is more content.",
            "example": true
          },
          "totalRecordCount": {
            "type": "integer",
            "description": "Denotes the total resources matching the filters.",
            "format": "int64",
            "example": 10398
          },
          "nextPage": {
            "type": "string",
            "description": "Denotes an API URL, which can be conveniently called to perform the subsequent search call to get to the next page.",
            "example": "https://api.rocketlane.com/api/1.0/invoices/123/payments?pageToken=e4a3dd8e-e338-11ed-b5ea-0242ac120002&limit=100"
          },
          "nextPageToken": {
            "type": "string",
            "description": "Denotes a unique token that points to the next page of resources. To get results from subsequent pages, you can use the nextPageToken available in the response under pagination. This token is valid for 15 minutes.",
            "example": "e4a3dd8e-e338-11ed-b5ea-0242ac120002"
          }
        },
        "description": "Responses that return multiple objects will be paginated. The pagination params define how pages are structured and how to traverse through pages."
      },
      "PaymentRecordPublicAPIResponseEntity": {
        "type": "object",
        "properties": {
          "paymentId": {
            "type": "integer",
            "description": "The unique identifier for the payment record.",
            "format": "int64",
            "readOnly": true,
            "example": 201
          },
          "paymentRecordType": {
            "type": "string",
            "description": "The identifier for payment type (e.g WRITE_OFF,PAID)",
            "readOnly": true,
            "example": "PAID",
            "enum": [
              "PAID",
              "WRITE_OFF",
              "CREDIT_NOTE"
            ]
          },
          "currency": {
            "type": "string",
            "description": "Currency of the invoice amount",
            "readOnly": true,
            "example": "USD",
            "enum": [
              "AFN",
              "ALL",
              "DZD",
              "ARS",
              "AMD",
              "AUD",
              "AZN",
              "BHD",
              "BDT",
              "BYN",
              "BZD",
              "BOB",
              "BAM",
              "BWP",
              "BRL",
              "GBP",
              "BND",
              "BGN",
              "BIF",
              "KHR",
              "CAD",
              "CVE",
              "XAF",
              "CLP",
              "CNY",
              "COP",
              "KMF",
              "CDF",
              "CRC",
              "HRK",
              "CZK",
              "DKK",
              "DJF",
              "DOP",
              "EGP",
              "ERN",
              "EEK",
              "ETB",
              "EUR",
              "GEL",
              "GHS",
              "GTQ",
              "GNF",
              "HNL",
              "HKD",
              "HUF",
              "ISK",
              "INR",
              "IDR",
              "IRR",
              "IQD",
              "ILS",
              "JMD",
              "JPY",
              "JOD",
              "KZT",
              "KES",
              "KWD",
              "LVL",
              "LBP",
              "LYD",
              "LTL",
              "MOP",
              "MKD",
              "MGA",
              "MYR",
              "MUR",
              "MXN",
              "MDL",
              "MAD",
              "MZN",
              "MMK",
              "NAD",
              "NPR",
              "TWD",
              "NZD",
              "NIO",
              "NGN",
              "NOK",
              "OMR",
              "PKR",
              "PAB",
              "PYG",
              "PEN",
              "PHP",
              "PLN",
              "QAR",
              "RON",
              "RUB",
              "RWF",
              "SAR",
              "RSD",
              "SGD",
              "SOS",
              "ZAR",
              "KRW",
              "LKR",
              "SDG",
              "SEK",
              "CHF",
              "SYP",
              "TZS",
              "THB",
              "TOP",
              "TTD",
              "TND",
              "TRY",
              "USD",
              "UGX",
              "UAH",
              "AED",
              "UYU",
              "UZS",
              "VEF",
              "VND",
              "XOF",
              "YER",
              "ZMK",
              "ZWL"
            ]
          },
          "paymentDate": {
            "type": "string",
            "description": "The date when the payment was made.",
            "example": "2023-03-28"
          },
          "amount": {
            "type": "number",
            "description": "The amount of the payment.",
            "example": 1000
          },
          "notes": {
            "type": "string",
            "description": "Additional notes or comments regarding the payment."
          }
        },
        "description": "Reflects all the default and custom fields and their values for the object searched, in an array format. If the includeFields param is utilised in the request body, it will return a customised response."
      }
    },
    "securitySchemes": {
      "api-key": {
        "type": "apiKey",
        "name": "api-key",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "proxy-enabled": false,
    "explorer-enabled": true,
    "samples-enabled": true
  }
}
```